package com.cm.common.wechat.pojo;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: WechatOfficialAccountUser
 * @Description: 微信公众号用户信息
 * @Author: WangGeng
 * @Date: 2020/3/2 1:56 下午
 * @Version: 1.0
 **/
public class WechatOfficialAccountUser {

    private String token;
    private WechatOfficialAccountAccessTokenForUser wechatOfficialAccountAccessTokenForUser;
    private WechatOfficialAccountUserInfo wechatOfficialAccountUserInfo;

    public String getToken() {
        return token == null ? "" : token.trim();
    }

    public void setToken(String token) {
        this.token = token;
    }

    public WechatOfficialAccountAccessTokenForUser getWechatOfficialAccountAccessTokenForUser() {
        return wechatOfficialAccountAccessTokenForUser;
    }

    public void setWechatOfficialAccountAccessTokenForUser(WechatOfficialAccountAccessTokenForUser wechatOfficialAccountAccessTokenForUser) {
        this.wechatOfficialAccountAccessTokenForUser = wechatOfficialAccountAccessTokenForUser;
    }

    public WechatOfficialAccountUserInfo getWechatOfficialAccountUserInfo() {
        return wechatOfficialAccountUserInfo;
    }

    public void setWechatOfficialAccountUserInfo(WechatOfficialAccountUserInfo wechatOfficialAccountUserInfo) {
        this.wechatOfficialAccountUserInfo = wechatOfficialAccountUserInfo;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"token\":")
                .append("\"").append(token).append("\"");
        sb.append(",\"wechatOfficialAccountAccessTokenForUser\":")
                .append(wechatOfficialAccountAccessTokenForUser);
        sb.append(",\"wechatOfficialAccountUserInfo\":")
                .append(wechatOfficialAccountUserInfo);
        sb.append('}');
        return sb.toString();
    }
}
